Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ApprovalScreen/FrmApprovalScreenAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ApprovalScreen/FrmApprovalScreenAuxiliary.cs	(revision 385)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ApprovalScreen/FrmApprovalScreenAuxiliary.cs	(revision 386)
@@ -253,22 +253,31 @@
         {
             try
             {
-                if (!ClsCommonApproval.CreatePetitionApproval(Rec))
+                int ObjCnt = Enum.GetNames(typeof(ClsCommonApproval.MsgObjOrder)).Length;
+                object[] ParaObj = new object[ObjCnt];
+                ParaObj[(int)ClsCommonApproval.MsgObjOrder.ConstructionCode] = m_ConstructionCode;                  // 工事番号
+                ParaObj[(int)ClsCommonApproval.MsgObjOrder.ApprovalCode] = m_ApprovalCode;                          // 承認番号
+                ParaObj[(int)ClsCommonApproval.MsgObjOrder.OrderNo] = m_OrderNo;                                    // 受付番号
+                ParaObj[(int)ClsCommonApproval.MsgObjOrder.StatusFlg] = Rec.ApprovalStatus;                         // 承認状態フラグ
+                ParaObj[(int)ClsCommonApproval.MsgObjOrder.ConstructionName] = m_ConstrBaseDetailRec.DetailString;  // 工事名称
+                if (!ClsCommonApproval.MakeApprovalRowData(Rec, ParaObj))
                 {
-                    MessageBox.Show("承認申請に失敗しました。", "申請エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    MessageBox.Show("申請に失敗しました。", "申請エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
                     return false;
                 }
 
-                // 申請者と最初の承認者が同じ場合は申請時に承認する
-                if (m_dispLabelControl[(int)DispHeader.PetitionName].Text.Equals(m_dispLabelControl[(int)DispHeader.ApprovalName].Text))
+                // 申請者と最初の承認者が違う場合は申請時に承認しない
+                if (!m_dispLabelControl[(int)DispHeader.PetitionName].Text.Equals(m_dispLabelControl[(int)DispHeader.ApprovalName].Text))
+                    return true;
+
+                // ----- 申請者と最初の承認者が同じ場合は申請時に承認する
+                // 申請・承認レコード更新
+                if (!ApprovalDataUpDate((int)CommonDefine.ApprovalStatus.Approval))
                 {
-                    // 申請・承認レコード更新
-                    if (!ApprovalDataUpDate((int)CommonDefine.ApprovalStatus.Approval))
-                    {
-                        MessageBox.Show("承認に失敗しました。", "承認エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                        return false;
-                    }
+                    MessageBox.Show("承認に失敗しました。", "承認エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
                 }
+
                 return true;
             }
             catch (Exception ex)
@@ -298,7 +307,14 @@
                 CreateApprovalData(ref Rec, statusCode);
 
                 // 承認レコード更新
-                if (!ClsCommonApproval.CreatePetitionApproval(Rec)) return false;
+                int ObjCnt = Enum.GetNames(typeof(ClsCommonApproval.MsgObjOrder)).Length;
+                object[] ParaObj = new object[ObjCnt];
+                ParaObj[(int)ClsCommonApproval.MsgObjOrder.ConstructionCode] = m_ConstructionCode;                  // 工事番号
+                ParaObj[(int)ClsCommonApproval.MsgObjOrder.ApprovalCode] = m_ApprovalCode;                          // 承認番号
+                ParaObj[(int)ClsCommonApproval.MsgObjOrder.OrderNo] = m_OrderNo;                                    // 受付番号
+                ParaObj[(int)ClsCommonApproval.MsgObjOrder.StatusFlg] = Rec.ApprovalStatus;                         // 承認状態フラグ
+                ParaObj[(int)ClsCommonApproval.MsgObjOrder.ConstructionName] = m_ConstrBaseDetailRec.DetailString;  // 工事名称
+                if (!ClsCommonApproval.MakeApprovalRowData(Rec, ParaObj)) return false;
 
                 // 積算予算書承認時は積算見積書も承認する
                 int Code2 = ClsExcute.AppovalList.First(x => x.Value.Equals("積算予算書承認")).Key;
@@ -339,13 +355,6 @@
                         break;
                 }
 
-                // ----- 承認時メッセージを作る
-                List<KeyValuePair<int, string>> ToData = new List<KeyValuePair<int, string>>();
-                // 対象者セット
-                SetReceiverList(statusCode, ref ToData);
-                // メッセージを作る
-                MessageBoardEntry(statusCode, ToData);
-
                 return true;
             }
             catch (Exception ex)
@@ -356,65 +365,6 @@
         }
         #endregion
 
-        #region 対象者リストのセット
-        /// <summary>
-        /// 対象者リストのセット
-        /// </summary>
-        private void SetReceiverList(int statusCode, ref List<KeyValuePair<int, string>> ToData)
-        {
-            IOProcessApproval ApprDB = new IOProcessApproval();
-            try
-            {
-                List<KeyValuePair<int, string>> wrkList = new List<KeyValuePair<int, string>>();
-                for (int i = 0; i < m_ApprovalList.Count; i++)
-                {
-                    // 承認者は追加しない
-                    if (m_ApprovalList[i].ApprovalPerson == CommonMotions.LoginUserData.PersonCode)
-                        continue;
-
-                    ToData.Add(new KeyValuePair<int, string>(m_ApprovalList[i].ApprovalPerson
-                                                                , m_ApprovalerNameList[i]));
-                }
-
-                // 申請者を取得する
-                StringBuilder strSQL = new StringBuilder();
-                strSQL.Append(ApprDB.CreatePrimarykeyString(m_ConstructionCode, m_ApprovalCode, m_OrderNo));
-                strSQL.Append(" And SeqNo = 1");
-                ProcessApproval Rec = new ProcessApproval();
-                if (!ApprDB.SelectAction(strSQL.ToString(), ref Rec)) return;
-
-                // 申請者がログイン者の場合は処理終了
-                if (Rec.PersonCode == CommonMotions.LoginUserData.PersonCode) return;
-
-                // 申請者が既に登録されていれば取得しない
-                bool bIns = true;
-                foreach (KeyValuePair<int, string> Tardat in ToData)
-                {
-                    if (Tardat.Key == Rec.PersonCode)
-                    {
-                        bIns = false;
-                        break;
-                    }
-                }
-
-                // 申請者をセットする
-                if (bIns)
-                {
-                    ToData.Insert(0, new KeyValuePair<int, string>(CommonMotions.LoginUserData.PersonCode
-                                                                , CommonMotions.LoginUserData.PersonName));
-                }
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-            finally
-            {
-                ApprDB.close(); ApprDB = null;
-            }
-        }
-        #endregion
-
         #region 承認レコードデータ作成
         /// <summary>
         /// 承認レコードデータ作成
@@ -707,7 +657,7 @@
             {
                 // 工事基本情報取得
                 StringBuilder strSQL = new StringBuilder();
-                strSQL.AppendFormat(cbiDB.CreatePrimarykeyString( m_ConstructionCode));
+                strSQL.AppendFormat(cbiDB.CreatePrimarykeyString(m_ConstructionCode));
                 if (!cbiDB.SelectAction(strSQL.ToString(), ref m_ConstrBaseRec)) return false;
 
                 // 工事基本情報明細取得
@@ -1147,6 +1097,7 @@
                 // ----- 積算見積・積算予算は同時に申請を行う
                 int Code1 = ClsExcute.AppovalList.First(x => x.Value.Equals("積算見積書承認")).Key;
                 int Code2 = ClsExcute.AppovalList.First(x => x.Value.Equals("積算予算書承認")).Key;
+                int nCommentCode = -1;
                 if (Rec.ApprovalCode == Code1)              // 積算見積書の申請時は積算予算書も申請する
                 {
                     // 積算予算データが存在した場合
@@ -1157,10 +1108,7 @@
                         CreateApprovalData(ref Rec, (int)CommonDefine.ApprovalStatus.Petition);
                         Rec.SeqNo = 1;                                                  // 枝番
                         Rec.ApprovalLimitDates = CommonMotions.cnvDate(m_dispLabelControl[(int)DispHeader.PetitionHopeDates].Text);
-                        // 申請データの作成
-                        if (!DataUpdate(Rec)) return;
-                        // コメントデータ登録
-                        EntryComment(Code2);
+                        nCommentCode = Code2;
                     }
                 }
                 else if (Rec.ApprovalCode == Code2)         // 積算予算書の申請時は積算見積書も申請する
@@ -1170,11 +1118,17 @@
                     CreateApprovalData(ref Rec, (int)CommonDefine.ApprovalStatus.Petition);
                     Rec.SeqNo = 1;                                                  // 枝番
                     Rec.ApprovalLimitDates = CommonMotions.cnvDate(m_dispLabelControl[(int)DispHeader.PetitionHopeDates].Text);
-                    // 申請データの作成
-                    if (!DataUpdate(Rec)) return;
-                    // コメントデータ登録
-                    EntryComment(Code1);
+                    nCommentCode = Code1;
                 }
+                else
+                {
+                    return;
+                }
+
+                // 申請データの作成
+                if (!DataUpdate(Rec)) return;
+                // コメントデータ登録
+                EntryComment(nCommentCode);
             }
             catch (Exception ex)
             {
@@ -1401,146 +1355,6 @@
         }
         #endregion
 
-        #region 承認対象データのチェック
-        /// <summary>
-        /// 承認対象データのチェック
-        /// </summary>
-        /// <returns></returns>
-        private bool CheckAppData()
-        {
-            try
-            {
-                // 承認機能によってデータチェックを行う
-                switch (m_ApprovalCode)
-                {
-                    case (int)ClsExcute.ApprovalListNo.ConstructionBudgetApproval:
-                        // 工事予算承認
-                        if (!FrmConstructionBudget.CheckAppPriceValue(m_ConstructionCode))
-                        {
-                            MessageBox.Show("対象データにエラーがあります、\r\n承認対象データより承認を行ってください。","承認エラー");
-                            return false;
-                        }
-                        break;
-                    default:
-                        break;
-                }
-
-                return true;
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return false;
-            }
-        }
-        #endregion
-
-        #region メッセージデータ作成
-        /// <summary>
-        /// メッセージデータ作成
-        /// </summary>
-        /// <returns></returns>
-        private bool MessageBoardEntry(int nStatusFlg, List<KeyValuePair<int, string>> ToData)
-        {
-            IOMessageBoardData mbdDB = new IOMessageBoardData();
-            IOMessageBoardTerget mbtDB = new IOMessageBoardTerget();
-            IOMessageBrowsingHistory mbhDB = new IOMessageBrowsingHistory();
-            IORecordKey RecDB = new IORecordKey();
-            try
-            {
-                MessageBoardData data = new MessageBoardData();
-
-                // ----- メッセージデータ書込み
-                // キーコードセット
-                data.RecordNumber = IOMessageBoardData.GetNewRecordNumber(mbdDB, mbtDB, mbhDB, RecDB,
-                                                                            (int)RecordKey.KeyNoDef.MessageKey);
-                data.BranchNumber = 0;
-                string strWhere = mbdDB.CreatePrimarykeyString(data.RecordNumber, data.BranchNumber);
-
-                // 送信者セット（承認者）
-                data.FromCode = CommonMotions.LoginUserData.PersonCode;
-                data.FromName = CommonMotions.LoginUserData.PersonName;
-
-                string ConstrName = m_ConstrBaseDetailRec.DetailString;
-
-                StringBuilder strMsg = new StringBuilder();
-                strMsg.AppendFormat("『{0}』 【{1}】 承認申請", ConstrName, ClsExcute.AppovalList[m_ApprovalCode]);
-                if (m_ApprovalCode == (int)ClsExcute.ApprovalListNo.PurchaseOrderEntryApproval
-                    || m_ApprovalCode == (int)ClsExcute.ApprovalListNo.OrderRequestApproval)
-                {
-                    //  4:注文書承認 Or 5:請求承認の場合回数追加
-                    strMsg.AppendFormat(" {0}回目", ConstrName, m_OrderNo);
-                }
-                strMsg.Append(" 工事案件承認申請の件");
-                data.MessageTitle = strMsg.ToString();
-
-                strMsg.Clear();
-                strMsg.AppendFormat("　工事番号：{0}\r\n", m_ConstructionCode);
-                strMsg.AppendFormat("　工事名称：{0}\r\n", ConstrName);
-                if (m_ApprovalCode == (int)ClsExcute.ApprovalListNo.PurchaseOrderEntryApproval
-                    || m_ApprovalCode == (int)ClsExcute.ApprovalListNo.OrderRequestApproval)
-                {
-                    //  4:注文書承認 Or 5:請求承認の場合回数追加
-                    strMsg.AppendFormat("　申請受付：{0}回目\r\n", m_OrderNo);
-                }
-                strMsg.AppendFormat("　『{0}』の申請を【{1}】とします。\r\n", ClsExcute.AppovalList[m_ApprovalCode]
-                                                                        , CommonDefine.ApprovalStatusString[nStatusFlg]);
-                strMsg.Append("　連絡・指示コメント欄を確認の上対応してください。\r\n");
-                strMsg.Append("　よろしくお願いします。");
-                data.MessageContent = strMsg.ToString();
-
-                // リンク情報
-                data.LinkType = (int)MessageBoardData.LinkTypeDef.ProcessApproval;
-                data.LinkMessage = string.Format("工事番号：{0} 工事名称：{1}", m_ConstructionCode, ConstrName);
-                data.LinkCode = string.Format("{0}:{1}:{2}", m_ConstructionCode, m_ApprovalCode, m_OrderNo);
-
-                // メッセージ色セット
-                Color ClrBack = CommonDefine.ApprovalBackStatusColor[nStatusFlg];
-                Color ClrFore = CommonDefine.ApprovalForeStatusColor[nStatusFlg];
-                data.MessageColor = String.Format("0x{0:X2}{1:X2}{2:X2}", ClrFore.R, ClrFore.G, ClrFore.B);
-                data.BackColor = String.Format("0x{0:X2}{1:X2}{2:X2}", ClrBack.R, ClrBack.G, ClrBack.B);
-
-                data.WritingDate = DateTime.Now;
-                data.PersonCode = CommonMotions.LoginUserData.PersonCode;
-                data.ShareFlag = 1;
-                data.MessageFlag = (int)MessageBoardData.MessageFlgDef.Normal;
-
-                // データ登録
-                if (!mbdDB.InsertAction(data)) return false;
-
-                // ----- 対象者書込み
-                MessageBoardTerget wrkTer = new MessageBoardTerget();
-                int cnt = 1;
-                foreach (KeyValuePair<int, string> CurDat in ToData)
-                {
-                    // キーコードセット
-                    wrkTer.RecordNumber = data.RecordNumber;
-                    wrkTer.BranchNumber = data.BranchNumber;
-                    wrkTer.SeqNum = cnt++;
-                    wrkTer.ToCode = CurDat.Key;
-                    wrkTer.ToName = CurDat.Value;
-
-                    // データ登録
-                    if (!mbtDB.InsertAction(wrkTer)) return false;
-                }
-
-                return true;
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return false;
-            }
-            finally
-            {
-                mbdDB.close(); mbdDB = null;
-                mbtDB.close(); mbtDB = null;
-                mbhDB.close(); mbhDB = null;
-                RecDB.close(); RecDB = null;
-            }
-        }
-        #endregion
-
         #region ---------->> 指示連絡コメント処理
         #region 指示連絡コメント表示処理
         /// <summary>
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionBudget/FrmConstructionBudgetAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionBudget/FrmConstructionBudgetAuxiliary.cs	(revision 385)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionBudget/FrmConstructionBudgetAuxiliary.cs	(revision 386)
@@ -3832,7 +3832,6 @@
                 if (MessageBox.Show("工事予算書データを更新します、よろしいですか？", "登録確認"
                                     , MessageBoxButtons.YesNo, MessageBoxIcon.Question) != DialogResult.Yes) return false;
 
-
                 // データ接続
                 BudgetDB.connect(); BudgetDB.beginTran();
                 DetailDB.connect(); DetailDB.beginTran();
@@ -4777,7 +4776,6 @@
                         CurRow.Cells[nExecCount].Style.BackColor = CommonDefine.s_clrError;
                         diffValue = true;
                         ErrorRowl = CurRow.Index;
-
                     }
                 }
                 // 最後のエラー行へ移動する
@@ -4788,12 +4786,12 @@
                 {
                     if (pnlApproval.Visible)
                     {
-                        DialogResult drRet = MessageBox.Show("発注希望金額と実行金額に差異があります、申請しますか？"
+                        MessageBox.Show("発注希望金額と実行金額に差異があります、申請出来ません。"
                                         , "申請チェック"
-                                        , MessageBoxButtons.OKCancel
+                                        , MessageBoxButtons.OK
                                         , MessageBoxIcon.Error);
 
-                        if (drRet == DialogResult.Cancel) return false;
+                        return false;
                     }
                     else
                     {
@@ -4832,7 +4830,7 @@
         /// 希望金額・実行金額チェック
         /// </summary>
         /// <returns></returns>
-        public static bool CheckAppPriceValue(int ConstrCode)
+        private bool CheckApplicationPriceValue(int ConstrCode)
         {
             IOConstructionBudgetDetail DetalDB = new IOConstructionBudgetDetail();
             try
